Ruby Stays 2.3.7 even though 2.6.5 is properly installed


#1

Hi,

I followed the exact same instructions to install 2.6.5 but the version still says 2.3.7.

Can anyone help?24%20AM


#2

i am having a similar issue, except my ruby is 2.6.3p62

tried:

brew update && brew upgrade ruby-build

which returns the message:

warning: ruby-build 20200115 already installed.


#3

log off and log back on, then try again.


#4

prolly should have mentioned that i’d already tried that.

at the end of the day, it didn’t seem to make any difference…

thanks much for your reply, tho! (-:


#5

i think the setting version command didn’t work because of path problems.

try this https://stackoverflow.com/questions/10940736/rbenv-not-changing-ruby-version


#6

i think what i found that eventually actually worked was not ignoring the little command suggestion mac os gave me when i first open a terminal window:

The default interactive shell is now zsh.
To update your account to use zsh, please run

cash -s /bin/zsh

this seemed to resolve a whole host of issues.


#7

good to hear that it’s fixed.